<?xml version="1.0" encoding="UTF-8"?>

<externalUrls>

    <maxresults>1000</maxresults> <!-- if you want it disabled, please enter a negative number -->

    <registries>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/metadataschema/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <source>'source'</source>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/metadataschemarepo?search={like}&amp;page={page}&amp;size={pageSize}/</url>
                <firstPage>1</firstPage>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/RegistriesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <label>'name'</label>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </registries>

    <!--<tags>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/tags/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
&lt;!&ndash;            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/tags/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/TagsInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>&ndash;&gt;
        </urls>
        <fetchMode>FIRST</fetchMode>  &lt;!&ndash; EITHER 'FIRST' OR 'ALL' &ndash;&gt;
    </tags>-->

    <grants>
        <urls>
            <!--<urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>2</ordinal>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <url>https://services.openaire.eu/search/v2/api/resources?query=((oaftype exact project) and ((projectcode_nt exact "{like}")or({like}))){funderQuery}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <funderQuery>&amp;fq=(funder exact "{funderId}")</funderQuery>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:project']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'title'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <!--<urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
            <!--<urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <url>web/src/main/resources/mockData/GrantInternalMockUpData.json</url>
                <type>Internal</type>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </grants>

    <projects>
        <urls>
<!--            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/resources?query=((oaftype exact project) and ((projectcode_nt exact "*")or(*)))&amp;fq=(funder exact {funderId})&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['response']['results']['result'][*]['metadata']['oaf:entity']['oaf:project']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'title'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/ProjectInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </projects>

    <funders>
        <urls>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/publications?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/datasets?&amp;refine=true&amp;fields=relfunder&amp;page=0&amp;size={page}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/software?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/other?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
<!--            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/projectrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>crossref</key>
                <label>Crossref Funder Registry</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://api.crossref.org/funders?query={like}&amp;rows={pageSize}</url>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['message']['items'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
 <!--           <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/publications?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/datasets?&amp;refine=true&amp;fields=relfunder&amp;page=0&amp;size={page}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/software?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>
            <urlConfig>
                <key>servicesOpenAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/other?&amp;refine=true&amp;fields=relfunder&amp;page={page}&amp;size=0&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['refineResults']['relfunder'][*]</path>
                    <fields>
                        <name>'name'</name>
                        <id>'id'</id>
                        <count>'count'</count>
                    </fields>
                </data>
            </urlConfig>-->
<!--            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/FunderInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </funders>

    <repositories>
        <urls>
           <!-- <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
&lt;!&ndash;                <url>https://services.openaire.eu/search/v2/api/datasources?q={like}&amp;fq=datasourcetypeuiname exact "Data Repository"&amp;page={page}&amp;size={pageSize}&amp;format=json</url>&ndash;&gt;
&lt;!&ndash;                Replaced with id field instead of name&ndash;&gt;
                <url>https://services.openaire.eu/search/v2/api/datasources?q={like}&amp;fq=datasourcetypeuiid exact "datarepository::unknown"&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json;charset=UTF-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:datasource']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openairealt</key>
                <label>OpenAIRE Alternative</label>
                <ordinal>1</ordinal>
                <type>External</type>
&lt;!&ndash;                Uncomment to exclude Journals&ndash;&gt;
&lt;!&ndash;                <url>https://services.openaire.eu/search/v2/api/resources?query=oaftype exact datasource and {like} and datasourcetypeuiid &lt;&gt; &quot;pubsrepository::journal&quot; and datasourcetypeuiid &lt;&gt; &quot;aggregator::pubsrepository::journals&quot;&amp;page={page}&amp;size=2&amp;format=json</url>&ndash;&gt;
                <url>https://services.openaire.eu/search/v2/api/resources?query=oaftype exact datasource and {like}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json;charset=UTF-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:datasource']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
            <urlConfig>
                <key>openairealt2</key>
                <label>Another OpenAIRE Alternative</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <request>POST</request>
                <url>https://services.openaire.eu/openaire/ds/searchdetails/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>
<!--                <url>https://services.openaire.eu/openaire/ds/searchregistered/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>-->
                <firstPage>0</firstPage>
                <contenttype>application/json</contenttype>
                <requestBody>{"officialname": "{like}", "typology":"data"}</requestBody>
                <data>
                    <path>$['datasourceInfo'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <!--<urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/datarepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <source>'source'</source>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/datarepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
            <!--<urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/RepositoriesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </repositories>
    <!--
    include
    pubsrepository::institutional
    pubsrepository::thematic
    pubsrepository::unknown
    aggregator::pubsrepository::institutional
    aggregator::pubsrepository::thematic
    aggregator::pubsrepository::unknown
but not
    pubsrepository::journal
    aggregator::pubsrepository::journals-->
    <pubRepositories>
        <urls>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE publication repositories 1</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <request>POST</request>
                <url>https://services.openaire.eu/openaire/ds/searchdetails/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>
                <firstPage>0</firstPage>
                <contenttype>application/json</contenttype>
                <requestBody>{"officialname": "{like}", "typology":"pubsrepository::institutional"}</requestBody>
                <data>
                    <path>$['datasourceInfo'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE publication repositories 2</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <request>POST</request>
                <url>https://services.openaire.eu/openaire/ds/searchdetails/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>
                <firstPage>0</firstPage>
                <contenttype>application/json</contenttype>
                <requestBody>{"officialname": "{like}", "typology":"pubsrepository::thematic"}</requestBody>
                <data>
                    <path>$['datasourceInfo'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE publication repositories 3</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <request>POST</request>
                <url>https://services.openaire.eu/openaire/ds/searchdetails/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>
                <firstPage>0</firstPage>
                <contenttype>application/json</contenttype>
                <requestBody>{"officialname": "{like}", "typology":"pubsrepository::unknown"}</requestBody>
                <data>
                    <path>$['datasourceInfo'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </pubRepositories>
    <journals>
        <urls>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE Journals</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <request>POST</request>
                <url>https://services.openaire.eu/openaire/ds/searchdetails/{page}/{pageSize}?requestSortBy=id&amp;order=ASCENDING</url>
                <firstPage>0</firstPage>
                <contenttype>application/json</contenttype>
                <requestBody>{"officialname": "{like}", "typology":"journal"}</requestBody>
                <data>
                    <path>$['datasourceInfo'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'officialname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </journals>
    <taxonomies>
        <urls>
            <urlConfig>
                <key>taxonomy</key>
                <label>Taxonomies</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/taxonomy/</url>
                <firstPage>0</firstPage>
                <contenttype>application/vnd.api+json</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <count>'count'</count>
                    </fields>
                </data>
<!--                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>-->
            </urlConfig>
        </urls>
        <fetchMode>ALL</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </taxonomies>
    <publications>
        <urls>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE Publications</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/resources?query=oaftype exact result and {like}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json;charset=UTF-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:result']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'title'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </publications>
    <services>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/servicerepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <source>'source'</source>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>eosc</key>
                <label>EOSC Providers</label>
                <ordinal>2</ordinal>
                <type>External</type>
                <url>https://beta.providers.eosc-portal.eu/api/service/all?query={like}&amp;from={page}&amp;quantity={pageSize}</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['results'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'name'</name>
                        <uri>'webpage'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['from','to','total']</paginationpath>
            </urlConfig>
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/servicerepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/ServicesInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <label>'name'</label>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </services>


    <researchers>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/personrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>orcid</key>
                <label>ORCID</label>
                <ordinal>2</ordinal>
                <type>External</type>
                <url>https://pub.sandbox.orcid.org/v3.0/expanded-search/?q={like}&amp;start={page}&amp;rows={pageSize}</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=UTF-8</contenttype>
                <data>
                    <path>$['expanded-result'][*]</path>
                    <fields>
                        <id>'orcid-id'</id>
                        <firstName>'given-names'</firstName>
                        <lastName>'family-names'</lastName>
                        <name>'name'</name>
                    </fields>
                </data>
                <paginationpath>$['num-found']</paginationpath>
            </urlConfig>
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/personrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/ResearcherInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </researchers>


    <organisations>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/organizationrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>ROR</key>
                <label>ROR</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://api.ror.org/organizations?query={like}&amp;page={page}</url>
                <firstPage>1</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['items'][*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'name'</name>
                        <uri>'links'</uri>
                        <types>'types'</types>
                    </fields>
                </data>
                <paginationpath>$['number_of_results']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/organizations/?q={like}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:organization']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'legalname'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/organizationrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/OrganisationInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </organisations>

    <datasets>
        <urls>
            <urlConfig>
                <key>cristin</key>
                <label>Cristin</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/datasetmdrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                        <source>'source'</source>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>openaire</key>
                <label>OpenAIRE</label>
                <ordinal>2</ordinal>
                <type>External</type>
                <url>https://services.openaire.eu/search/v2/api/datasets/?q={like}&amp;page={page}&amp;size={pageSize}&amp;format=json</url>
                <firstPage>0</firstPage>
                <contenttype>application/json; charset=utf-8</contenttype>
                <data>
                    <path>$['results'][*]['result']['metadata']['oaf:entity']['oaf:result']</path>
                    <fields>
                        <id>'originalId'</id>
                        <name>'title'</name>
                        <count>'count'</count>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
<!--            <urlConfig>
                <key>openAire</key>
                <label>OpenAIRE</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://eestore.paas2.uninett.no/api/datasetrepo/?search={like}&amp;page={page}&amp;size={pageSize}</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>
            <urlConfig>
                <key>internal</key>
                <label>Internal</label>
                <ordinal>1</ordinal>
                <type>Internal</type>
                <url>web/src/main/resources/mockData/DatasetsInternalMockUpData.json</url>
                <data>
                    <path>$['data'][*]['attributes']</path>
                    <fields>
                        <id>'pid'</id>
                        <name>'name'</name>
                        <uri>'uri'</uri>
                        <description>'description'</description>
                    </fields>
                </data>
                <paginationpath>$['meta']['pagination']['page','pages','count']</paginationpath>
            </urlConfig>-->
        </urls>
        <fetchMode>FIRST</fetchMode>  <!-- EITHER 'FIRST' OR 'ALL' -->
    </datasets>

    <licenses>
        <urls>
            <urlConfig>
                <key>opendefinition</key>
                <label>Open Definition</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://licenses.opendefinition.org/licenses/groups/all.json</url>
                <firstPage>1</firstPage>
                <contenttype>application/vnd.api+json; charset=utf-8</contenttype>
                <data>
                    <path>$[*]</path>
                    <fields>
                        <id>'id'</id>
                        <name>'title'</name>
                        <uri>'url'</uri>
                        <description>'maintainer'</description>
                    </fields>
                </data>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>
    </licenses>
    
    <validators>
        <urls>
            <urlConfig>
                <key>zenodo</key>
                <label>Zenodo</label>
                <ordinal>1</ordinal>
                <type>External</type>
                <url>https://sandbox.zenodo.org/api/records/?page={page}&amp;size={pageSize}&amp;q="{like}"</url>
                <firstPage>1</firstPage>
                <contenttype>application/json</contenttype>
                <data>
                    <path>$[*]</path>
                    <fields>
                        <id>'conceptrecid'</id>
                        <name>'conceptdoi'</name>
                        <uri>'doi'</uri>
                        <description>'created'</description>
                    </fields>
                </data>
                <paginationpath>$['hits']['total']</paginationpath>
            </urlConfig>
        </urls>
        <fetchMode>FIRST</fetchMode>
    </validators>

    <prefillings>
        <config id="zenodo">
            <prefillingSearch>
                <urlConfig>
                    <key>zenodo</key>
                    <label>Zenodo</label>
                    <ordinal>1</ordinal>
                    <type>External</type>
                    <url>https://zenodo.org/api/records/?page={page}&amp;size={pageSize}&amp;q="{like}"</url>
                    <firstPage>1</firstPage>
                    <contenttype>application/json</contenttype>
                    <data>
                        <path>$[*]</path>
                        <fields>
                            <id>'id'</id>
                            <name>'title'</name>
                            <description>'description'</description>
                        </fields>
                    </data>
                    <paginationpath>$['hits']['total']</paginationpath>
                </urlConfig>
            </prefillingSearch>
            <prefillingGet>
                <url>https://zenodo.org/api/records/{id}</url>
                <mappings>
                    <mapping source="metadata.title" target="label" />
                    <mapping source="metadata.description" target="description" />
                    <mapping source="metadata.license.id" maDmpTarget="dataset.distribution.license.license_ref" />
                    <mapping source="metadata.keywords" target="tags"/>
                    <mapping source="metadata.filesize" maDmpTarget="dataset.distribution.byte_size"/>
                    <mapping source="metadata.language" maDmpTarget="dataset.metadata.language"/>
                    <mapping source="metadata.dates.valid" maDmpTarget="dataset.distribution.available_until"/>
                    <mapping source="metadata.license.created" maDmpTarget="dataset.distribution.license.start_date"/>
                    <mapping source="metadata.embargo_date" maDmpTarget="dataset.distribution.license.start_date"/>
                    <mapping source="metadata.publication_date" maDmpTarget="dataset.issued"/>
                    <mapping source="metadata.access_right" maDmpTarget="dataset.distribution.data_access"/>
                    <mapping source="files" subSource="filename" trimRegex="^.*\." maDmpTarget="dataset.distribution.format"/>
                    <mapping source="doi" maDmpTarget="dataset.dataset_id" />
                    <mapping source="doi" maDmpTarget="dataset.dataset_id.identifier" />
                </mappings>
                <fixedMappings>
                    <fixedMapping maDmpTarget="dataset.distribution.host.title" value="Zenodo" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.availability" value="More than 99% uptime yearly" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.geo_location" value="CH" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.storage_type" value="All files uploaded to Zenodo are stored in CERN’s EOS service in an 18 petabytes disk cluster." />
                    <fixedMapping maDmpTarget="dataset.dataset_id.type" value="doi" />
                    <fixedMapping maDmpTarget="dataset.metadata.metadata_standard_id.identifier" value="https://schema.datacite.org/meta/kernel-4.4/" />
                    <fixedMapping maDmpTarget="dataset.metadata.metadata_standard_id.type" value="url" />
                    <fixedMapping maDmpTarget="dataset.metadata.language" value="eng" />
                    <fixedMapping maDmpTarget="dataset.metadata.description" value="DataCite Metadata Schema" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.backup_frequency" value="Hourly" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.backup_type" value="Incremental backup" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.description" value="Repository hosted by Zenodo" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.url" value="https://zenodo.org" />
                    <fixedMapping maDmpTarget="dataset.distribution.host.pid_system" value="doi" />
                    <fixedMapping maDmpTarget="dataset.security_and_privacy.title" value="TBD" />
                    <fixedMapping maDmpTarget="dataset.security_and_privacy.description" value="TBD" />
                    <fixedMapping maDmpTarget="dataset.preservation_statement" value="TBD" />
                </fixedMappings>
            </prefillingGet>
        </config>
    </prefillings>


</externalUrls>


